2012-06-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.10; SECURITY_PATCH++
	* PRE_BUILD: fixed packaging for usage with system libs
	* seamonkey-2.9_gcc-4.7-1.patch: dropped, fixed by upstream

2012-05-01 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.9.1
	* PRE_BUILD, seamonkey-2.9_gcc-4.7-1.patch: patch from LFS added

2012-04-27 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.9; SECURITY_PATCH++

2012-03-15 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.8; SECURITY_PATCH++
	* DEPENDS: requires nspr >=4.9, nss >=3.13.2
	* cursor.patch: removed

2012-02-18 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.7.2; SECURITY_PATCH++ (MFSA 2012-11)

2012-02-14 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.7.1, SECURITY_PATCH=39
	* PRE_BUILD: sed added due to libvpx 1.0.0

2012-01-31 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.7; SECURITY_PATCH++

2011-12-23 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6.1

2011-12-21 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: SECURITY_PATCH++

2011-12-20 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.6; swapped source urls
	* DEPENDS: requires nss 3.13 now
	* CONFIGURE: pango is required since now
	* PRE_BUILD: apply the patch
	* cursor.patch: fixes activity cursor appearance (mozilla bug #709259)

2011-12-13 Vlad Glagolev <stealth@sourcemage.org>
	* CONFIGURE: continue handling of the legacy

2011-12-11 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD: switched to MOZCONFIG var, corrected multijob build; added
	  missing configure options (pthreads support)
	* CONFIGURE: added missing options, message about non-working setup
	* DEPENDS: made dbus support optional; corrected usage of system cairo
	* mailnews.patch: updated, for correct detection of a var

2011-12-10 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.5
	* BUILD: apply required options
	* CONFIGURE, DEPENDS: rewritten, added missing options and deps
	* INSTALL: removed extra stuff
	* PRE_BUILD: removed dirty hacks, apply the patches
	* blfs-mozconfig: removed
	* {ldap,mailnews}.patch: added, to fix compilation with and without
	  different options and deps

2011-11-09 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added missing dependency

2011-09-30 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.4.1, SECURITY_PATCH=36

2011-09-28 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: updated spell to 2.4

2011-09-05 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.3, SECURITY_PATCH=35
	* PRE_BUILD: sed removed, fixed upstream

2011-08-31 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.2, SECURITY_PATCH=34, MFSA 2011-34
	* PRE_BUILD: sed added to fix version.txt

2011-08-22 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3.1

2011-08-16 Bor Kraljič <pyrobor@ver.si>
	* DETAILS: TMPFS=off for all

2011-08-15 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.3, SOURCE_URL[1] added

2011-08-04 George Sherwood <gsherwood@sourcemage.org>
	* CONFIGURE: Removed option to build without mail news client
	* DEPENDS: Added sub_depends on nss 3.12.x
	* PRE_BUILD: Removed option to build without mail news client

2011-08-02 George Sherwood <gsherwood@sourcemage.org>
	* CONFIGURE: Removed old useless options
	  Added option to strip and official branding
	  Removed Xinerama option
	* PRE_BUILD: Added code to properly build correct .mozconfig file
	* DEPENDS: Removed depends libpng. Needs newer version
	  Added depends yasm for WebM video.
	  Added optional wireless_tools
	  Added depends autoconf-2.13 IAW Mozilla website
	  Removed openldap. Not an optional_depends
	* BUILD: Removed old strip option
	* blfs-mozconfig: Tweaked various options to match configuration

2011-07-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.2, SECURITY_PATCH=33
	* PRE_BUILD, BUILD: comm-2.0 -> comm-release

2011-06-10 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.1
	* PRE_BUILD, BUILD: 1.9.1 -> 2.0

2011-04-29 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.14, SECURITY_PATCH=32
	  http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html

2011-03-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.13, SECURITY_PATCH=31
	  http://www.mozilla.org/security/announce/2011/mfsa2011-11.html

2011-03-20 Vlad Glagolev <stealth@sourcemage.org>
	* BUILD: use OPTS in the end
	* DEPENDS: removed useless flags; sm works fine with system nss 3.12
	  removed libgnomeui, gnome-vfs2 support -- currently broken
	* PRE_BUILD: apply the flags here
	* blfs-mozconfig: don't force strip and ldap support; readded system nss
	  flags

2011-03-03 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.12, SECURITY_PATCH=30

2011-02-25 Vlad Glagolev <stealth@sourcemage.org>
	* seamonkey: correctly handle multiple arguments (-new-tab, etc.)

2011-01-02 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: added missing dependencies
	* blfs-mozconfig: don't force system nss cause it's checked in DEPENDS

2010-12-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.11, SECURITY_PATCH=29

2010-11-03 Ladislav Hagara <hgr@vabo.cz>
	* DEPENDS: jpeg -> JPEG

2010-10-28 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 2.0.10. SECURITY_PATCH++

2010-10-21 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.9, SECURITY_PATCH=27

2010-09-16 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.8

2010-09-12 George Sherwood <gsherwood@sourcemage.org>
	* CONFIGURE: Added option to use system installed cairo
	* PRE_BUILD: Set option to enable/disable system installed cairo
	* blfs-mozconfig: Removed default use of system cairo
	* DEPENDS: Make depends cairo conditional

2010-09-08 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.7, SECURITY_PATCH=26
	* PRE_BUILD: added --disable-crashreporter, broken

2010-07-20 Vlad Glagolev <stealth@sourcemage.org>
	* DETAILS: updated spell to 2.0.6; SECURITY_PATCH++; quoting paths
	* DEPENDS: added missing cairo dep

2010-07-06 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: requires libpng only with animated support

2010-07-04 Vlad Glagolev <stealth@sourcemage.org>
	* DEPENDS: corrected dependencies -- killed xorg-libs, see #14699

2010-06-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.5, SECURITY_PATCH=24

2010-03-30 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.4, SECURITY_PATCH=23
	  http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html

2010-02-18 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.3, SECURITY_PATCH=22
	  http://www.mozilla.org/security/known-vulnerabilities/seamonkey20.html

2010-01-11 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.2

2009-12-17 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 2.0.1, WEB_SITE updated, SECURITY_PATCH=21

2009-11-08 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 2.0. Updated SOURCE_URL
	* PRE_BUILD: New directory locations. Removed patches.
	* CONFIGURE: Re-wrote to use mozconfig method
	* blfs-mozconfig: Added config file from BLFS as starting point
	* BUILD: Re-wrote to use mozconfig method
	* INSTALL: Re-wrote to use mozconfig method
	* DEPENDS: Cleaned up to reflect new build method

2009-09-05 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 1.1.18. SECURITY_PATCH++
	* PRE_BUILD: Added patch
	* seamonkey-sqlite.patch: Patch fixes issue with sqlite3 linking
	  http://groups.google.co.jp/group/mozilla.dev.apps.thunderbird/
	  browse_thread/thread/512f83ea2ba541fd

2009-06-23 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.1.17, SECURITY_PATCH=19

2009-04-09 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 1.1.16. SECUIRTY_PATCH++

2009-03-18 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to verison 1.1.15. SECUIRTY_PATCH++

2008-12-16 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 1.1.14. SECURITY_PATCH++

2008-11-25 George Sherwood <gsherwood@sourcemage.org>
	* CONFLICTS: added mozilla (deprecated)

2008-11-13 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 1.1.3. SECURITY_PATCH++
	* DEPENDS: Added nss 3.12 fix from #14858
	* INSTALL: No need to edit pc files for nspr/nss

2008-09-23 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to vesion 1.1.12. SECURITY_PATCH++
	  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html

2008-07-15 George Sherwood <george@beernabeer.com>
	* DETAILS: updated spell to 1.1.11.  SECURITY_PATCH++
	  http://www.mozilla.org/security/known-vulnerabilities/seamonkey11.html#seamonkey1.1.11

2008-07-02 George Sherwood <gsherwood@sourcemage.org>
	* DETAILS: Updated to version 1.1.10. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#seamonkey1.1.10

2008-04-19 Eric Sandall <sandalle@sourcemage.org>
	* BUILD: Disable tests (now compiles with GCC 4.3.0)

2008-03-29 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.9. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#SeaMonkey

2008-03-18 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: Switch X11-LIBS to the one and only xorg-libs
	  No need to check if using modular X as that's all that's available now

2008-02-11 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS, PRE_BUILD, BUILD: Create unique SOURCE_DIRECTORY
	  Fixes Bug #7977

2008-02-09 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.8. SECUIRTY_PATCH++
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#SeaMonkey

2007-12-01 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.7. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#SeaMonkey

2007-11-06 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.6. Removed broken SOURCE_URLS.

2007-10-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.1.5, SECURITY_PATCH=8

2007-09-17 Pol Vinogradov <vin.public@gmail.com>
	* DETAILS: PATCHLEVEL++
	* PRE_BUILD, cairo-fixes.patch: added patch from firefox spell
	  as seamonkey needs it too

2007-09-04 George Sherwood <george@beernabeer.com>
	* DEPENDS: Changed to check_if_xorg_modular_libs to cover all cases
	  Bug #13976

2007-08-16 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.4. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/
	  known-vulnerabilities.html#seamonkey

2007-07-20 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.3. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/
	  known-vulnerabilities.html#seamonkey

2007-05-31 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.2. SECURITY_PATCH++
	  http://www.mozilla.org/projects/security/
	  known-vulnerabilities.html#SeaMonkey

2007-03-04 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.1.1. SECURITY_PATCH++

2007-01-24 Eric Sandall <sandalle@sourcemage.org>
	* DETAILS: Updated to 1.1
	* CONFIGURE: SEAMONKEY_CALENDAR is no longer available in seamonkey
	  Do not query for SVG renderers
	* DEPENDS: Add more explicit flags to gtk+2 dependency
	  nss is no longer optional, but required
	  Add explicit flags to nss dependency
	* PRE_BUILD: Do not apply seamonkey-visibility.patch
	  Do not forcefully remove nspr/nss, the flags should take care of this
	* BUILD: Remove a lot of flags that I have no idea what they do :)
	  SEAMONKEY_CALENDAR is no longer available in seamonkey
	  Return to normal make after running make
	* seamonkey-visibility.patch: Removed obsolete patch
	* security_manager_makefile.diff: Removed obsolete patch

2006-12-20 Ladislav Hagara <hgr@vabo.cz>
	* DETAILS: 1.0.7, SECURITY_PATCH=3
	  http://www.mozilla.org/projects/security/known-vulnerabilities.html#SeaMonkey

2006-11-15 Alexander Tsamutali <astsmtl@gmail.com>
	* PROVIDES: Added NS-PLUGIN-COMPATIBLE

2006-11-10 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to version 1.0.6.

2006-10-26 Jaka Kranjc <lynxlynxlynx@sourcemage.org>
	* INSTALL: use TRACK_ROOT not INSTALL_ROOT when linking #9163

2006-09-21 Juuso Alasuutari <iuso@sourcemage.org>
	* PROVIDES: [automated] Fixed invalid entries.

2006-09-16 George Sherwood <george@beernabeer.com>
	* DETAILS: Updated to 1.0.5. Removed UPDATED and BUILD_API=2

2006-08-09 Juuso Alasuutari <iuso@sourcemage.org>
	* seamonkey: Removed bashism [[.

2006-08-05 George Sherwood <george@beernabeer.com>
	* DETAILS: UPdated to 1.0.4, Chanaged SOURCE to
	  $SPELL-$VERSION-source.tar.bz2, they remnamed it again
	  Updated $SOURCE_URL

2006-06-02 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0.2, change SOURCE to
	  $SPELL-source-$VERSION.tar.bz2, they renamed it,
	  SECURITY_PATCH=2

2006-05-24 Eric Sandall <sandalle@sourcemage.org>
	* DEPENDS: If xorg-server provides X11-LIBS, depend on libxft

2006-04-15 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0.1, set SECURITY_PATCH=1

2006-03-12 Karsten Behrmann <BearPerson@sourcemage.org>
	* DETAILS: (automated) Add KEYWORDS

2006-02-08 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DEPENDS: added dependency on nspr
	* PRE_BUILD: run mozilla_remove_nspr_nss, we use the system ones now
	* PRE_BUILD, seamonkey-visibility.patch: same patch as for firefox,
	  fails to build with nspr removed from the source tree otherwise
	* INSTALL: fix up pkgconfig files to depend on the one from
	  standalone nspr

2006-02-01 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0

2005-12-21 Arwed v. Merkatz <v.merkatz@gmx.net>
	* DETAILS: updated to 1.0b
	* PRE_BUILD: remove broken .mozconfig shipped with 1.0b
	* INSTALL, seamonkey: install custom start script that actually works

2005-12-07 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* WIP: stays in devel for now
	* CONFIGURE: defaults to cairo

2005-12-06 Andraž "ruskie" Levstik <ruskie@mages.ath.cx>
	* DETAILS, PRE_BUILD, BUILD, INSTALL, PROVIDES, DEPENDS, HISTORY: created spell
	* seamonkey.sh, desktop/seamonkey.desktop: created spell

